// Fetch List Product
export const FETCH_PRODUCTS_PENDING = 'FETCH_PRODUCTS_PENDING';
export const FETCH_PRODUCTS_SUCCESS = 'FETCH_PRODUCTS_SUCCESS';
export const FETCH_PRODUCTS_ERROR = 'FETCH_PRODUCTS_ERROR';

// Fetch Product by ID
export const FETCH_PRODUCT_BY_ID_PENDING = 'FETCH_PRODUCT_BY_ID_PENDING';
export const FETCH_PRODUCT_BY_ID_SUCCESS = 'FETCH_PRODUCT_BY_ID_SUCCESS';
export const FETCH_PRODUCT_BY_ID_ERROR = 'FETCH_PRODUCT_BY_ID_ERROR';

// Fetch List Product Type
export const FETCH_PRODUCT_TYPE_PENDING = 'FETCH_PRODUCT_TYPE_PENDING';
export const FETCH_PRODUCT_TYPE_SUCCESS = 'FETCH_PRODUCT_TYPE_SUCCESS';
export const FETCH_PRODUCT_TYPE_ERROR = 'FETCH_PRODUCT_TYPE_ERROR';

// Update Product by ID
export const FETCH_UPDATE_PRODUCT_BY_ID_PENDING = 'FETCH_UPDATE_PRODUCT_BY_ID_PENDING';
export const FETCH_UPDATE_PRODUCT_BY_ID_SUCCESS = 'FETCH_UPDATE_PRODUCT_BY_ID_SUCCESS';
export const FETCH_UPDATE_PRODUCT_BY_ID_ERROR = 'FETCH_UPDATE_PRODUCT_BY_ID_ERROR';

// Delete Product by ID
export const FETCH_DELETE_PRODUCT_BY_ID_PENDING = 'FETCH_DELETE_PRODUCT_BY_ID_PENDING';
export const FETCH_DELETE_PRODUCT_BY_ID_SUCCESS = 'FETCH_DELETE_PRODUCT_BY_ID_SUCCESS';
export const FETCH_DELETE_PRODUCT_BY_ID_ERROR = 'FETCH_DELETE_PRODUCT_BY_ID_ERROR';

// Handle change Input Product
export const HANDLE_CHANGE_NAME_PRODUCT = 'HANDLE_CHANGE_NAME_PRODUCT';
export const HANDLE_CHANGE_DESC_PRODUCT = 'HANDLE_CHANGE_DESC_PRODUCT';
export const HANDLE_CHANGE_TYPE_PRODUCT = 'HANDLE_CHANGE_TYPE_PRODUCT';
export const HANDLE_CHANGE_IMAGE_URL_PRODUCT = 'HANDLE_CHANGE_IMAGE_URL_PRODUCT';
export const HANDLE_CHANGE_BUY_PRICE_PRODUCT = 'HANDLE_CHANGE_BUY_PRICE_PRODUCT';
export const HANDLE_CHANGE_PROMOTION_PRICE_PRODUCT = 'HANDLE_CHANGE_PROMOTION_PRICE_PRODUCT';
export const HANDLE_CHANGE_AMOUNT_PRODUCT = 'HANDLE_CHANGE_AMOUNT_PRODUCT';

// Handle change Input Product Type
export const HANDLE_CHANGE_NAME_TYPE = 'HANDLE_CHANGE_NAME_TYPE';
export const HANDLE_CHANGE_DESC_TYPE = 'HANDLE_CHANGE_DESC_TYPE';

// Update Product Type by ID
export const FETCH_UPDATE_TYPE_BY_ID_PENDING = 'FETCH_UPDATE_TYPE_BY_ID_PENDING';
export const FETCH_UPDATE_TYPE_BY_ID_SUCCESS = 'FETCH_UPDATE_TYPE_BY_ID_SUCCESS';
export const FETCH_UPDATE_TYPE_BY_ID_ERROR = 'FETCH_UPDATE_TYPE_BY_ID_ERROR';

// Delete Product Type by ID
export const FETCH_DELETE_TYPE_BY_ID_PENDING = 'FETCH_DELETE_TYPE_BY_ID_PENDING';
export const FETCH_DELETE_TYPE_BY_ID_SUCCESS = 'FETCH_DELETE_TYPE_BY_ID_SUCCESS';
export const FETCH_DELETE_TYPE_BY_ID_ERROR = 'FETCH_DELETE_TYPE_BY_ID_ERROR';

// Fetch Order by ID
export const FETCH_ORDER_BY_ID_PENDING = 'FETCH_ORDER_BY_ID_PENDING';
export const FETCH_ORDER_BY_ID_SUCCESS = 'FETCH_ORDER_BY_ID_SUCCESS';
export const FETCH_ORDER_BY_ID_ERROR = 'FETCH_ORDER_BY_ID_ERROR';

// Fetch Order Detail by ID
export const FETCH_ORDER_DETAIL_BY_ID_PENDING = 'FETCH_ORDER_DETAIL_BY_ID_PENDING';
export const FETCH_ORDER_DETAIL_BY_ID_SUCCESS = 'FETCH_ORDER_DETAIL_BY_ID_SUCCESS';
export const FETCH_ORDER_DETAIL_BY_ID_ERROR = 'FETCH_ORDER_DETAIL_BY_ID_ERROR';

// Create Product
export const FETCH_CREATE_PRODUCT_PENDING = 'FETCH_CREATE_PRODUCT_PENDING';
export const FETCH_CREATE_PRODUCT_SUCCESS = 'FETCH_CREATE_PRODUCT_SUCCESS';
export const FETCH_CREATE_PRODUCT_ERROR = 'FETCH_CREATE_PRODUCT_ERROR';